Name:           montage
Summary:        A toolkit for assembling (FITS) images into custom mosaics
Version:        6.0
Release:        %mkrel 4
License:        BSD
Group:          Sciences/Astronomy

Url:            http://montage.ipac.caltech.edu/
Source0:        http://montage.ipac.caltech.edu/download/Montage_v%{version}.tar.xz
#magic from debian (@olebole)
Patch0:         Use-system-libs-for-wcstools-cfitsio-and-jpeg.patch
Patch1:         Propagate-CFLAGS-Co.-for-hardening-and-wcstools-incpath.patch
Patch2:         Trap-errors-in-Makefile.patch
Patch3:         Remove-outdated-ProjExec-Configure.sh.patch
Patch4:         Initialize-mxcntr-in-montageBgExec.patch
Patch5:         Remove-bangpath-in-Python-module.patch
Patch6:         Fix-python-setup-script.patch

Patch10:        montage-v6.0-muldefs.patch

BuildRequires:  sed
BuildRequires:  pkgconfig(cfitsio)
BuildRequires:  wcstools-devel
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)


%description
Montage is a toolkit for assembling Flexible Image Transport System
(FITS) images into custom mosaics.

%package devel
Summary:        Headers for Montage
Group:          Development/C
Requires:       %{name} = %{version}-%{release}

%description devel
%{summary}




%prep

%setup -q -n Montage
%autopatch -p1
%__sed -i 's|$(CC) -o|$(CC) -Wl,-z,muldefs -o|g' MontageLib/*/Makefile.LINUX


%build

%{__mkdir} -p bin
%{__mkdir} -p lib/include

export CPPFLAGS="-I/usr/include/libwcs -I/usr/include/freetype2 %{optflags}"
export CFLAGS="-I/usr/include/libwcs -I/usr/include/freetype2 -Wl,-z,muldefs %{optflags}"
export LDFLAGS="-Wl,-z,muldefs %{ldflags}"

pushd lib/src
%__make
popd

pushd Montage
./Configure.sh
%__make
%__make install
popd

pushd util
%__make
popd

pushd grid
%__make
popd

pushd MontageLib
%__make
popd

pushd ancillary
%__make
%__make install
popd


%install
%{__mkdir} -p %{buildroot}%{_bindir}
%{__cp} -f bin/m* %{buildroot}%{_bindir}/
%{__mkdir} -p %{buildroot}%{_includedir}
%{__cp} -f lib/include/*.h %{buildroot}%{_includedir}/




%files
%{_bindir}/m*

%files devel
%{_includedir}/*.h




%changelog
* Sun Dec 04 2022 eatdirt <eatdirt> 6.0-4.mga9
+ Revision: 1917818
- Rebuild for new cfitsio

* Sat Apr 02 2022 umeabot <umeabot> 6.0-3.mga9
+ Revision: 1840889
- Mageia 9 Mass Rebuild

* Fri Aug 27 2021 eatdirt <eatdirt> 6.0-2.mga9
+ Revision: 1742753
- Rebuild for new cfitsio

* Tue Aug 25 2020 eatdirt <eatdirt> 6.0-1.mga8
+ Revision: 1618805
- Fix build for gcc-10
- imported package montage

